%global namedreltag _jboss-5
%global namedversion %(echo %{version}| tr . _)%{?namedreltag}

%global pomreltag -jbossorg-5
%global pomversion %{version}%{?pomreltag}

Name:          jacorb
Version:       2.3.2
Release:       2.jbossorg.5%{?dist}
Summary:       The Java implementation of the OMG's CORBA standard
License:       LGPLv2
URL:           http://www.jacorb.org/index.html
Source0:       https://github.com/JacORB/JacORB/archive/R_%{namedversion}/JacORB-R_%{namedversion}.tar.gz

# These methods are not implemented in the current
Patch0:        jacorb-2.3.1-Implement-a-few-methods-in-GSSUPContextSpi-to-make-i.patch

# Fix "error: unmappable character for encoding ASCII" JDK issues
Patch1:        jacorb-2.3.1-Set-encoding-to-UTF-8-when-generating-javadoc.patch

# Support for JDK 8
Patch2:        JDK8-support.patch

# jacorb use java_cup = 0.9e for generate java stuff
# Our java_cup (0.11b) generated wrong entries in the java code, e.g.
# import org.jacorb.idl.runtime.XMLElement;
# patch was generated using the following steps
# find . -name "*.jar" ! -name "java_cup.jar" -print -delete
# ln -s $(build-classpath avalon-logkit) lib/logkit-1.2.jar
# ant -f src/org/jacorb/idl/build.xml
# find . -name "*.jar" -print -delete
# find . -name "*.class" -print -delete
Patch3:        jacorb-2.3.2-java_cup.patch

BuildRequires: ant
BuildRequires: java-devel
BuildRequires: maven-local
BuildRequires: mvn(antlr:antlr)
BuildRequires: mvn(avalon-logkit:avalon-logkit)
BuildRequires: mvn(org.apache.ant:ant)
BuildRequires: mvn(org.apache.ant:ant-apache-regexp)
BuildRequires: mvn(org.apache.ant:ant-junit)
BuildRequires: mvn(org.apache.maven.plugins:maven-antrun-plugin)
BuildRequires: mvn(org.codehaus.mojo:build-helper-maven-plugin)
BuildRequires: mvn(org.slf4j:slf4j-api)
BuildRequires: mvn(org.slf4j:slf4j-jdk14)

BuildArch:     noarch

%description
This package contains the Java implementation of the OMG's CORBA standard.

%package javadoc
Summary:       Javadoc for %{name}

%description javadoc
This package contains the API documentation for %{name}.

%prep
%setup -q -n JacORB-R_%{namedversion}
# Cleanup
find . -name "*.class" -print -delete
find . -name "*.dll" -print -delete
find . -name "*.jar" -print -delete
find . -name "*.zip" -print -delete

%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1

%pom_disable_module maven/release
%pom_disable_module maven/resources

%pom_xpath_remove "pom:dependency[pom:artifactId = 'tools']/pom:scope"
%pom_xpath_remove "pom:dependency[pom:artifactId = 'tools']/pom:systemPath"

%pom_remove_plugin -r org.commonjava.maven.plugins:build-migration-maven-plugin

%pom_remove_plugin -r :maven-assembly-plugin
%pom_remove_plugin -r :maven-source-plugin

%pom_add_dep avalon-logkit:avalon-logkit:1.2:compile maven/idl-compiler

# No xdoclet available
sed -i 's|,notification||' src/org/jacorb/build.xml

sed -i '/Class-Path/d' build.xml

%pom_xpath_remove "pom:plugin[pom:artifactId = 'maven-javadoc-plugin']/pom:executions"
%pom_xpath_inject "pom:plugin[pom:artifactId = 'maven-javadoc-plugin']/pom:configuration" "<additionalparam>-Xdoclint:none</additionalparam>" maven/core maven/idl-compiler

sed -i 's|${IGNORED_TAGS}|${IGNORED_TAGS} -Xdoclint:none|' build.xml
sed -i 's|,org.jacorb.notification.\*||' build.xml
sed -i 's|org.jacorb.notification.filter.bsh|org.jacorb.notification.*|' build.xml

ln -s $(build-classpath antlr) lib/antlr-2.7.2.jar
ln -s $(build-classpath slf4j/api) lib/slf4j-api-1.5.6.jar
ln -s $(build-classpath avalon-logkit) lib/logkit-1.2.jar

%mvn_artifact org.jacorb:jacorb:jar:%{pomversion} lib/jacorb.jar
%mvn_artifact org.jacorb:jacorb-idl-compiler:jar:%{pomversion} lib/idl.jar
%mvn_alias "org.jacorb:" "jacorb:"

%build

%mvn_build -- -Dcompile=all -DskipTests=true -Djava-source-version=1.6 -Djavac-encoding=utf-8

%install
%mvn_install

%files -f .mfiles
%dir %{_javadir}/%{name}
%doc doc/REL_NOTES
%license doc/LICENSE

%files javadoc -f .mfiles-javadoc
%license doc/LICENSE

%changelog
* Fri Feb 10 2017 Fedora Release Engineering <releng@fedoraproject.org> - 2.3.2-2.jbossorg.5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Thu Sep 01 2016 gil cattaneo <puntogil@libero.it> 2.3.2-1.jbossorg.5
- Update to 2.3.2-jbossorg-5

* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 2.3.1-16
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Wed Jun 17 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.3.1-15
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Fri Jul 11 2014 Marek Goldmann <mgoldman@redhat.com> - 2.3.1-14
- Add alias for jacorb:jacorb

* Fri Jul 11 2014 Marek Goldmann <mgoldman@redhat.com> - 2.3.1-13
- Added missing BR

* Wed Jul 09 2014 Marek Goldmann <mgoldman@redhat.com> - 2.3.1-12
- Switch to xmvn

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.3.1-11
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Fri Mar 28 2014 Michael Simacek <msimacek@redhat.com> - 2.3.1-10
- Use Requires: java-headless rebuild (#1067528)

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.3.1-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Fri Jul 05 2013 Marek Goldmann <mgoldman@redhat.com> - 2.3.1-8
- Added jacorb:idl alias to idl-compiler

* Thu Jun 13 2013 Marek Goldmann <mgoldman@redhat.com> - 2.3.1-7
- Removed tanukiwrapper from deps

* Thu Jun 13 2013 Marek Goldmann <mgoldman@redhat.com> - 2.3.1-6
- Fixed logkit gid

* Mon May 27 2013 Marek Goldmann <mgoldman@redhat.com> - 2.3.1-5
- Use upstream sources with patches

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.3.1-4.20120215git
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Thu Aug 30 2012 Marek Goldmann <mgoldman@redhat.com> - 2.3.1-3.20120215git
- Added idl-compiler jar to the package
- Remove unnecessary depednencies from POM since we don't build the notification module
- Additional groupId mappings

* Thu Aug 30 2012 Marek Goldmann <mgoldman@redhat.com> - 2.3.1-2.20120215git
- Added LICENSE file to package
- Removed Class-Path entry from MANIFEST.MF
- Fixed description

* Wed Aug 29 2012 Marek Goldmann <mgoldman@redhat.com> - 2.3.1-1.20120215git
- Initial packaging

